
/**
	Select2 Class overrides
	:mode=css:
*/
.select2-container--default {
  min-width: 20em;
  /* Select Arrow */
}
.select2-container--default .select2-selection--single {
  background-color: #fff;
  border: 1px solid #ced4da;
  border-radius: .25rem;
  height: calc(2.25rem + 2px);
}
.select2-container--default .select2-selection--single .select2-selection__rendered {
  line-height: inherit;
  overflow: hidden;
  padding: .375rem .75rem;
  text-overflow: ellipsis;
  white-space: nowrap;
}
.select2-container--default .select2-selection--single .select2-selection__arrow {
  height: 100%;
  position: absolute;
  top: 1px;
  right: 1px;
  width: 20px;
}
.select2-container--default .select2-selection--multiple {
  background-color: #fff;
  border: 1px solid #ced4da;
  border-radius: .25rem;
  min-height: calc(2.25rem + 2px);
}
.select2-container--default .select2-selection--multiple .select2-selection__rendered {
  padding: 0 0 0 0.75rem;
}
.select2-container--default .select2-search__field::placholder {
  color: #495057 !important;
}
.select2-container--default .select2-search__field::-webkit-input-placeholder {
  color: #495057 !important;
}
/**


*/
/**
	Master Variables File for CSS
	@see http://clrs.cc/
*/
/*
Bootstrap 4 Colors

--blue: #007bff;
--indigo: #6610f2;
--purple: #6f42c1;
--pink: #e83e8c;
--red: #dc3545;
--orange: #fd7e14;
--yellow: #ffc107;
--green: #28a745;
--teal: #20c997;
--cyan: #17a2b8;
--white: #fff;
--gray: #6c757d;
--gray-dark: #343a40;
--primary: #007bff;
--secondary: #6c757d;
--success: #28a745;
--info: #17a2b8;
--warning: #ffc107;
--danger: #dc3545;
--light: #f8f9fa;
--dark: #343a40;
*/
/**
	Helpers for bg/fg setting
*/
.cbr {
  background-color: #FF1610;
}
.cbrd {
  background-color: #a90400;
}
.cbrl {
  background-color: #ff7976;
}
.cfr {
  color: #FF1610;
}
.cfrd {
  color: #a90400;
}
.cfrl {
  color: #ff7976;
}
/**
	Helper to Display a Rainbow
*/
div.rainbow {
  display: flex;
}
div.rainbow div {
  flex: 1 1 auto;
  border-style: solid;
  border-width: 12px;
  font-size: 64px;
  height: 120px;
  line-height: 120px;
  text-align: center;
  width: 120px;
}
div.rainbow div.r {
  background-color: #FF1610;
  border-color: #ff7976 #a90400 #a90400 #ff7976;
}
div.rainbow div.o {
  background-color: #FF7C10;
  border-color: #ffb476 #a94c00 #a94c00 #ffb476;
}
div.rainbow div.y {
  background-color: #FFC910;
  border-color: #ffe076 #a98300 #a98300 #ffe076;
}
div.rainbow div.g {
  background-color: #30C600;
  border-color: #60ff2d #176000 #176000 #60ff2d;
}
div.rainbow div.b {
  background-color: #017E8F;
  border-color: #02d7f4 #00252a #00252a #02d7f4;
}
div.rainbow div.i {
  background-color: #0B289F;
  border-color: #2049f0 #041040 #041040 #2049f0;
}
div.rainbow div.v {
  background-color: #4E079E;
  border-color: #7f16f5 #1e033c #1e033c #7f16f5;
}
footer {
  background: #000c00;
  border-top: 4px solid #007000;
  color: #f8fffa;
  margin-top: 2vh;
}
footer a {
  color: inherit;
}
footer div.fl {
  padding: 8px 0 16px 16px;
}
footer div.fr {
  padding: 8px 16px 16px 0;
  text-align: right;
}
footer .link-list p {
  font-size: 90%;
  margin: 0;
  padding: 16px;
  text-align: center;
}
div.c,
td.c,
th.c {
  text-align: center;
}
div.r,
input.r,
td.r,
th.r {
  text-align: right;
}
a u,
button u {
  text-decoration-color: #000;
  text-decoration-line: underline;
  text-decoration-skip: edges;
  text-decoration-style: solid;
}
/**
	Bootstrap Overrides
*/
.table-hover > tbody > tr:hover {
  background: #ff0;
}
/* Fix Select Widths on List pages */
.filter-input-wrap select {
  max-width: 20em;
}
/*
	@see https://github.com/twbs/bootstrap/issues/18786
	and then look at how the style for <select> works
*/
input[type=color] {
  height: calc(2.25rem + 2px);
}
/**
	Radix
*/
div#session-flash-v1,
.alert-wrap {
  border: none;
  margin: 0 auto 1em auto;
  padding: 0;
  max-width: 1024px;
}
div#session-flash-v1 div,
.alert-wrap div {
  background: none;
  border-color: #333;
  border-radius: 0.25em;
  border-style: solid;
  border-width: 1px;
  color: #111;
  font-size: 150%;
  font-weight: 700;
  margin: 0 0 0.5em 0;
}
div#session-flash-v1 div.exec,
.alert-wrap div.exec {
  border-color: #133AAC;
  border-left: 8px solid #133AAC;
}
div#session-flash-v1 div.fail,
.alert-wrap div.fail {
  border-color: #FF2B2E;
  border-left: 8px solid #FF2B2E;
}
div#session-flash-v1 div.good,
.alert-wrap div.good {
  border-color: #018201;
  border-left: 8px solid #018201;
}
div#session-flash-v1 div.info,
.alert-wrap div.info {
  border-color: #133AAC;
  border-left: 8px solid #133AAC;
}
div#session-flash-v1 div.warn,
.alert-wrap div.warn {
  border-color: #FF9000;
  border-left: 8px solid #FF9000;
}
div#session-flash-v1 div p,
.alert-wrap div p {
  margin: 0.50em 0 0.50em 1em;
  padding: 0;
}
div#session-flash-v1 div ul,
.alert-wrap div ul {
  list-style-type: none;
  margin: 0.50em 0 0.50em 1em;
  padding: 0;
}
/**
	App Stuff
*/
.math-input,
input[type=number] {
  width: 6em;
}
input[type=number]::-webkit-inner-spin-button,
input[type=number]::-webkit-outer-spin-button {
  -webkit-appearance: none;
  margin: 0;
}
dl.hint {
  color: #999;
}
dl.hint:active,
dl.hint:focus,
dl.hint:hover {
  color: #000;
}
input:focus::placeholder {
  color: transparent;
}
/* CSS4+ */
input:focus::-moz-placeholder {
  color: transparent;
}
/* FF 19+ */
input:focus::-webkit-input-placeholder {
  color: transparent;
}
input:focus:-ms-input-placeholder {
  color: transparent;
}
/* IE 10+ */
/**
	Buttons and Alerts
*/
.exec {
  background: #476BD6;
  border-color: #133AAC;
  color: #fff;
}
.fail {
  background: #FF8E90;
  border-color: #FF2B2E;
  color: #000;
}
.good {
  background: #04c809;
  border-color: #018201;
  color: #212121;
}
.info {
  background: #476BD6;
  border-color: #133AAC;
  color: #000;
}
.warn {
  background: #FFAC40;
  border-color: #FF9000;
  color: #000;
}
a.exec,
a.fail,
a.good,
a.info,
a.warn {
  border-radius: 4px;
  border-style: outset;
  border-width: 2px;
  font-size: 100%;
  text-align: center;
  margin: 0.5em;
  padding: .5em 1em;
}
.no-select {
  user-select: none;
  -khtml-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  -webkit-touch-callout: none;
  -webkit-user-select: none;
}
.form-actions {
  border: 1px solid #343a40;
  border-radius: 0.25em;
  margin: 1em 0 1em 0;
  padding: 1em 2em 0 1em;
}
.form-actions .btn {
  min-width: 8em;
  margin: 0 1em 1em 0;
}
.form-actions div.btn-group .btn {
  min-width: 7em;
  margin: 0 0 1em 0;
}
.form-actions div.btn-group .btn.dropdown-toggle {
  min-width: 1em;
  margin: 0 1em 1em 0;
}
/**
	Flex Box Stuff
*/
.fb-wrap {
  display: flex;
  flex-wrap: wrap;
}
.fb-item {
  flex: 1 1 50%;
}
div.grid-head {
  background: #6c757d;
  width: 100%;
}
div.grid-head div {
  vertical-align: middle;
}
div.grid-head h4 {
  margin: 0;
  padding: 0;
}
div.highlight-item,
tr.highlight-item {
  cursor: pointer;
  width: 100%;
}
div.highlight-item:active,
div.highlight-item:focus,
div.highlight-item:hover,
tr.highlight-item:active,
tr.highlight-item:focus,
tr.highlight-item:hover {
  background: #ffff00;
}
.table-striped > tbody > tr:nth-of-type(odd).pick,
div.highlight-item.pick,
tr.highlight-item.pick {
  background: rgba(255, 255, 0, 0.5);
}
tr.sel-item-live {
  background: rgba(255, 255, 0, 0.4) !important;
}
p.head {
  font-size: 130%;
}
#table-config-options {
  background: #f0f0f0;
  border: 1px solid #333;
  font-size: 110%;
  margin: 0;
  padding: 0.5em;
  position: absolute;
  right: 0;
  text-align: left;
  top: 0;
}
/**
	Clue is a floaty pulsing widget
*/
.clue {
  position: relative;
}
div.clue-star {
  animation: clue_pulse linear 2.5s infinite;
  background: #00000077;
  /* transparent; */
  border-radius: 50%;
  cursor: help;
  color: #ff851bf0;
  /* #ff851b77; */
  font-family: sans-serif;
  font-size: 32px;
  font-weight: 700;
  height: 32px;
  line-height: 32px;
  /* opacity: 0.9; */
  position: absolute;
  text-align: center;
  user-select: none;
  vertical-align: middle;
  width: 32px;
  z-index: 100000;
  /*
	// Tiffany hates these two, got back to pulse
	http://stackoverflow.com/questions/4910963/how-to-create-a-pulse-effect-using-webkit-animation-outward-rings
	http://jsfiddle.net/Fy8vD/
	http://cssdeck.com/labs/simple-css3-heart-pulsing-animations
	*/
}
@keyframes clue_pulse {
  0% {
    -webkit-transform: scale(1);
    transform: scale(1);
  }
  50% {
    -webkit-transform: scale(1.5);
    transform: scale(1.5);
  }
  100% {
    -webkit-transform: scale(1);
    transform: scale(1);
  }
}
@-webkit-keyframes clue_pulse {
  0% {
    -webkit-transform: scale(1);
    transform: scale(1);
  }
  50% {
    -webkit-transform: scale(1.5);
    transform: scale(1.5);
  }
  100% {
    -webkit-transform: scale(1);
    transform: scale(1);
  }
}
/**
	Hero a large, page-top banner
*/
div.hero {
  background: #eee;
  border: 1px solid #ccc;
  border-radius: 0.50em;
  margin: 1em 0 2em 0;
  padding: 2em 4em;
  position: relative;
}
div.hero a:not(.btn) {
  color: #e00;
}
div.hero h1 {
  font-size: 320%;
  margin: 0 0 0.50em 0;
  padding: 0;
}
div.hero h2 {
  font-size: 280%;
  margin: 0 0 0.50em 0;
  padding: 0;
}
div.hero p {
  font-size: 160%;
}
div.hero div.hero-tool {
  position: absolute;
  top: 8px;
  right: 8px;
}
/**
	Stuff For Sorting
*/
body.dragging,
body.dragging * {
  cursor: move !important;
}
.dragged {
  position: absolute;
  opacity: 0.5;
  z-index: 2000;
}
ol.sortable li.placeholder {
  position: relative;
  /** More li styles **/
}
ol.sortable li.placeholder:before {
  position: absolute;
  /** Define arrowhead **/
}
#flash-alert,
.flash-alert {
  left: 10%;
  position: absolute;
  right: 10%;
  top: 64px;
  z-index: 1000;
}
#core {
  margin: 0.5em 1em 4em 1em;
  min-height: 600px;
}
/**
	jQuery UI Rules
*/
.ui-menu .ui-menu-item {
  list-style-image: none;
}
.ui-menu .ui-menu-item a.ui-state-focus {
  background: none;
  border: none;
  color: #04c809;
  margin: 0;
}
.ui-widget-content {
  border: 1px solid #343a40;
  background: #eee;
}
ul.ui-widget-content.ui-autocomplete {
  font-size: 120%;
}
/**
	Page Specific Rules
*/
body.auth-sign-in #auth-pin-input .row {
  margin-bottom: 1em;
}
body.auth-sign-in #auth-pin-input .btn {
  font-size: 200%;
  font-weight: 700;
}
/**
	For new Home Page
*/
body.index #core {
  margin: 0;
  max-width: 100%;
  padding: 0;
  width: 100%;
}
body.index section.team {
  padding: 32px;
}
body.index section.team h2 {
  text-align: center;
}
/*
	Inventory & Plant Stuff
*/
.object-view-section {
  border-top: 1px solid #999;
  margin: 1em 0 2em 0;
}
.object-view-section h2 {
  background: #ddd;
  margin: 0;
  padding: 0.25rem;
}
.object-view-section h3 {
  background: #eee;
  margin: 0;
  padding: 0.25rem;
}
/**
	Inventory and Plant Tags
*/
.inventory-tag,
.plant-tag {
  border-radius: 0.25em;
  padding: 0.25em 0.5em;
}
.nav-item.dropdown .nav-link:hover {
  color: var(--blue);
}
/**
	Bulk Selection Menu
	:mode=css:
*/
#bulkmenu-wrap {
  background: #f0f0f0;
  border: 4px solid #007000;
  border-radius: 4px 4px 0 0;
  left: 10%;
  margin: 0;
  overflow: hidden;
  position: fixed;
  top: 2vh;
  width: 80%;
  z-index: 1030;
}
#bulkmenu-wrap .bulkmenu-info {
  display: flex;
  margin: 0;
  padding: 0;
}
#bulkmenu-wrap .bulkmenu-info h4 {
  flex: 1 1 33%;
  margin: 0;
  padding: 0.125em;
  text-align: center;
}
#bulkmenu-wrap .bulkmenu-info div {
  flex: 1 1 3em;
  margin: 0;
  padding: 0.125em;
}
#bulkmenu-wrap .form-actions {
  border-bottom: none;
  border-left: none;
  border-right: none;
  border-radius: 0;
  margin: 0;
  padding: 0.25em;
}
#bulkmenu-wrap .form-actions a.btn,
#bulkmenu-wrap .form-actions button.btn {
  margin: 0 0.50em 0 0;
}
/**
	Our Modal Dialog
*/
/* @todo to wqr-modal-mask */
#app-modal-mask {
  background: #101010;
  bottom: 0;
  left: -25%;
  opacity: 0.75;
  position: fixed;
  top: -25%;
  right: -25%;
  height: 1962px;
  z-index: 100000;
}
#app-modal-wrap {
  background: #f0f0f0;
  border: 4px solid #333;
  border-radius: 4px;
  left: 10%;
  margin: auto;
  position: fixed;
  top: 8%;
  width: 80%;
  z-index: 100001;
}
#app-modal-wrap .app-modal-header {
  padding: 0;
  border: none;
}
#app-modal-wrap .app-modal-header h1 {
  background: #343a40;
  color: #fff;
  margin: 0;
  padding: 0.25em;
  text-align: center;
}
#app-modal-wrap .app-modal-header #modal-shut-exec {
  font-size: 32px;
  font-weight: bold;
  height: 42px;
  /* height: 2em; */
  line-height: 16px;
  margin: 0.125em;
  padding: 0;
  position: absolute;
  right: 0;
  text-align: center;
  top: 0;
  width: 42px;
  /* width:2em; */
}
/**
	A Color Scheme for Font Awesome Icons
*/
.fa {
  /*
	.note {
		color: ;
	}
	*/
}
.fa.fail {
  border: none;
  background: transparent;
  color: #FF2B2E;
}
.fa.good {
  border: none;
  background: transparent;
  color: #018201;
}
.fa.warn {
  border: none;
  background: transparent;
  color: #FF9000;
}
.fa.info {
  border: none;
  background: transparent;
  color: #133aac;
}
/**
	Rules for Inventory Pages
*/
body.inventory-qa-print .inventory-qa-results h2,
body.inventory-qa-print .inventory-qa-results h3,
body.inventory-qa-print .inventory-qa-results h4 {
  margin: 0;
  padding: 0;
}
body.inventory-qa-print .inventory-qa-results p {
  margin: 0.25em;
}
/**
	Stuff for Manifests
*/
/**
	Pending Save Indicator
*/
.pump-save.work {
  border: none;
  color: #f00;
}
.input-hover-magic-wrap {
  background: #fff;
  border: 1px solid #333;
  border-radius: 4px;
  /* bottom: 0; */
  display: none;
  left: 0;
  position: absolute;
  padding: 0.25em;
  right: auto;
  text-align: right;
  /* top: 0; */
  white-space: nowrap;
}
.manifest-stop-wrap {
  border: 1px solid #ddd;
  border-radius: 0.5em;
  margin: 0 0 2em 0;
  padding: 1em;
  position: relative;
}
.manifest-stop-wrap table.table {
  margin-bottom: 0;
}
.manifest-list-wrap {
  margin: 0 0 2em 0;
}
.manifest-list-wrap h2 {
  background: #ccc;
  margin: 0;
  padding: 0.25em;
}
.manifest-list-wrap h2 button {
  margin: 0 0 0 1em;
  color: #FF1610;
}
.manifest-list-wrap h3 {
  margin: 0;
}
.manifest-list-line-wrap:hover {
  background: #f0f0f0;
}
#de-pickup {
  display: none;
}
#dp3-third {
  display: none;
}
#route-link-wrap {
  display: none;
}
/**
	For the Workflow Interface
*/
.fb-workflow {
  display: flex;
  flex-wrap: wrap;
}
.fb-workflow-item {
  border: 1px solid #ccc;
  border-radius: 4px;
  display: block;
  margin: 0 0 0.5em 0;
  padding: 0.25em 0.25em 0 0.25em;
}
.fb-workflow-todo {
  flex: 1 1 auto;
  padding: 1em;
  text-align: center;
}
.fb-workflow-todo button {
  font-size: 200%;
  font-weight: bold;
  margin: 0;
  padding: 0.5em 1em;
  width: 8em;
}
div.workflow h3 {
  background: #eee;
  border-bottom: 1px solid #ccc;
  margin: 0 0 1em 0;
  padding: 0.25em;
  text-align: center;
}
div.workflow .btn {
  border-radius: 4px;
  font-size: 200%;
  font-weight: bold;
  margin: 0 0 0.25em 0;
  padding: 0.25em 0.50em;
  min-width: 8em;
}
div.workflow .col-md-3 {
  text-align: center;
}
/**
	Styles for the Wizard
*/
#wizard {
  border: 2px solid #ccc;
  border-radius: 6px;
  font-size: 130%;
  margin: 1em auto 3em auto;
  padding: 1em;
}
#wizard h2 {
  text-align: center;
  margin: 0;
  padding: 0;
}
#wizard label {
  display: block;
}
#wizard p.c {
  text-align: center;
}
.auth-password-peek {
  cursor: pointer;
  user-select: none;
}
/**

*/
/*
.metric-wrap {
	background: #aaa;
	margin: 8px;
	padding: 8px;
}
.metric-wrap h2 {
	margin: 0;
	max-height: 1.1em;
	padding: 0;
	text-align: center;
}
.metric-wrap h3 {
	margin: 4px 0 8px 0;
	max-height: 1.1em;
	padding: 0;
	text-align: center;
}
*/
/**
	Little Stat Boxes
	Used like Table Heading Blocks
	On: Plant Derivatives Block, Inventory-v3
*/
.statbox-wrap {
  align-content: center;
  align-items: stretch;
  display: flex;
  flex-wrap: wrap;
  margin: 0 -0.25em 0 -0.25em;
}
.statbox-wrap a {
  color: inherit;
}
.statbox-wrap .statbox-item {
  background: #ddd;
  border-radius: 0.50em;
  flex: 1 1 auto;
  margin: 0 0.25em 0.5em 0.25em;
  padding: 0.25em;
  text-align: center;
}
.statbox-wrap .statbox-item h2 {
  margin: 0;
  max-height: 1.1em;
  padding: 0;
  text-align: center;
}
.statbox-wrap .statbox-item h3 {
  margin: 4px 0 8px 0;
  max-height: 1.1em;
  padding: 0;
  text-align: center;
}
/**
	responsive-table.css
	http://codepen.io/anon/pen/QwPVNW
	:mode=css:
*/
/* 603 Makes sure we get the odd size Nexus 7 - 2012 */
@media screen and (max-width: 603px) {
  table.r600 {
    /* All Cells are Blocks */
    /* Insert this Text to Content */
    /* First Column Highlighted as Header */
    /* Smaller Cells */
  }
  table.r600 thead {
    display: none;
  }
  table.r600 tr {
    margin-bottom: 10px;
    display: block;
    border-bottom: 2px solid #ddd;
  }
  table.r600 td {
    display: block;
    text-align: right;
    font-size: 13px;
    border-bottom: 1px dotted #ccc;
  }
  table.r600 td:before {
    content: attr(title);
    float: left;
    font-size: 1em;
    font-weight: bold;
    margin: 1.33em 0;
  }
  table.r600 td:first-child {
    background: #ccc;
  }
  table.r600 td:last-child {
    border-bottom: 0;
  }
  table.r600 td.s {
    font-size: 80%;
    padding: 0 0 0 10px;
  }
}
/**
	Override DataTable Styles for BS3 & BS4
	@see https://github.com/DataTables/DataTablesSrc/blob/master/css/dataTables.bootstrap4.scss
*/
/* This makes the processing box more visible */
div.dataTables_wrapper div.dataTables_processing {
  background: #0007;
  font-size: 125%;
  font-weight: 700;
  left: 10%;
  margin: 0;
  top: 200px;
  width: 80%;
}
table.dataTable.table-sm > thead > tr > th,
table.dataTable thead th {
  padding-right: 0;
  white-space: nowrap;
}
/* Position Arrows */
table.dataTable.table-sm .sorting:before,
table.dataTable thead .sorting:before,
table.dataTable thead .sorting_asc:before,
table.dataTable thead .sorting_desc:before {
  display: none;
}
table.dataTable.table-sm .sorting:after,
table.dataTable thead .sorting:after,
table.dataTable thead .sorting_asc:after,
table.dataTable thead .sorting_desc:after {
  display: inline;
  font-family: FontAwesome !important;
  position: initial;
  margin-left: 0.25em;
  right: 0.5em;
}
table.dataTable thead .sorting:after {
  content: "\f160";
  opacity: 0.50;
}
table.dataTable thead .sorting_asc:after {
  content: "\f062";
  /* fa-arrow-up */
  opacity: 1.00;
  /* content: "\f161"; */
  /* fa-sort-amount-desc (big to small), Z=>A, 9=>0 */
}
table.dataTable thead .sorting_desc:after {
  content: "\f063";
  /* fa-arrow-down */
  opacity: 1.00;
  /* content: "\f160"; */
  /* fa-sort-amount-asc (small to big), A=>Z, 0=>9 */
}
/**
	Billing Pages
*/
.billing-wrap h3 {
  margin-top: 0;
}
/**

*/
.training-pick {
  margin-bottom: 16px;
}
.training-pick .video-wrap {
  border: 2px solid #333;
  margin: 8px auto;
  width: 640px;
}
.training-pick h2 {
  background: #ccc;
  margin: 0;
  padding: 4px;
}
.training-pick video {
  background: #111;
  border: none;
  margin: 0;
  padding: 0;
  width: 640px;
}
.training-pick:target {
  background: #111;
}
.training-pick:target h2 {
  background: #111;
  color: #fdfdfd;
  text-align: center;
}
/**
	@see https://css-tricks.com/snippets/css/media-queries-for-standard-devices/
*/
@media (min-width: 768px) {
  #main-nav-small {
    display: none;
  }
}
/**
	Print Layout from Pages
*/
@media print {
  header {
    display: none;
  }
  footer {
    display: none;
  }
  nav#menu-page {
    display: none;
  }
  div#intercom-container {
    display: none;
  }
  div#intercom-frame {
    display: none;
  }
  div#session-flash-v1 {
    display: none;
  }
  div#inventory-control-form {
    display: none;
  }
  div.relationship-list {
    page-break-before: always;
  }
  button,
  input[type=button],
  input[type=submit] {
    display: none;
  }
}
